   #include <stdio.h>
   #include <stdlib.h>
   #include <fcntl.h>
   #include <das.h>
   
   void main()
   {
      int fd;
      das_t da_data = 4095;

      /* open the 'das' resource manager/library for  */
      if ((fd = das_open("/dev/das", O_WRONLY)) == -1)
      {
         perror("das_open");
         exit(EXIT_FAILURE);
      }

      /* perform a single D/A conversion on channel 0 */    
      if (das_da_sync(fd, 0, &da_data) == -1)
         perror("das_da_sync");
      
      printf("Full scale output on channel 0");

      /* close the resource manager/library     */ 
      if (das_close(fd) == -1)
         perror("das_close");
   }
