#include <stdio.h>
#include <conio.h>
#include <i86.h>
#include <das.h>

extern int fd;

void dig_io(void)
{
   long dig_val = 1, old, new, dig_old =0;
   int dir = 0, cnt;
      
   puts("das_digital_out()\n\n\n");
   while (!kbhit())
   {

      if (das_digital_out(fd, 0,~dig_val, dig_old|dig_val, &old, &new) == -1)
      {
         perror("das_digital_out ->port 0");
         break;
      }
      dig_old = dig_val;
      delay(100);
      printf("old -> ");
      for(cnt=0;cnt<32;cnt++)
         printf("%d", (old >> cnt)&0x01);
      printf("\nnew -> ");
      for(cnt=0;cnt<32;cnt++)
         printf("%d", (new >> cnt)&0x01);
      printf("=$ ");
      
      if (dir)
      {
         dig_val >>= 1;  
         if(!dig_val)
         {
            dig_val = 1;
            dir = ~dir;
         }
      }      
      else
      {
         dig_val <<= 1;
         if(!dig_val)
         {
            dig_val = 0x1000000;
            dir = ~dir;
         }
      }
      delay(50);
   }
   getch();
   
   

/***************************** DAS_DIG_IN ***********************************/
   
   puts("das_digital_in\n");
   while (!kbhit())
   {
      if (das_digital_in(fd, 0, &dig_val) == -1)
      {
         perror("das_digital_in -> port 0");
         break;
      }
      printf("port 0 -> %#04x\r",dig_val);
   }
   getch();

}

