   #include <stdio.h>
   #include <stdlib.h>
   #include <fcntl.h>
   #include <das.h>
   
   #define  VDIV     1000000L
   
   void main()
   {
      int fd, i;
      long rmin, rmax;

      /* open the 'das' resource manager/library            */
      if ((fd = das_open("/dev/das", O_RDWR)) == -1)
      {
         perror("das_open");
         exit(EXIT_FAILURE);
      }
      
      /* Get the range of the D/A channel and print         */
      /* the range string to the screen.                    */
      for (i = 0; i <2; i++)
      {
         if (das_da_get_range(fd, i, &rmin, &rmax) == -1)
            perror("das_da_get_range");
         else
            printf("Channel # %hx : Range = %ld to %ldV \n", i, rmin/VDIV, rmax/VDIV);
      }

      /* close the resource manage/library                  */
      das_close(fd);
   }
