   #include <stdio.h>
   #include <stdlib.h>
   #include <string.h>
   #include <fcntl.h>
   #include <string.h>
   #include <das.h>
   
   void main()
   {
      char chnl_buf[80], trig_buf[80] = {"DAS_EX_TRIG"};
      char chnl;
      int fd, trig_src;

      /* open the 'das' resource manager/library            */
      if ((fd = das_open("/dev/das", O_RDWR)) == -1)
      {
         perror("das_open");
         exit(-1);
      }

      printf("das_da_get_trig()\n");   
      printf("Enter channel # :> ");
      chnl = atoi(fgets(chnl_buf, sizeof(chnl_buf), stdin));

      if (das_da_get_trig(fd, chnl, &trig_src) == -1)
         perror("das_da_get_trig");
      else
      {
         if (trig_src & DAS_PC_TRIG)
            strcpy(trig_buf, "DAS_PC_TRIG");
         if (trig_src & DAS_A_LOW)
            strcat(trig_buf, " | DAS_A_LOW");
         else if (trig_src & DAS_A_HIGH)
            strcat(trig_buf, " | DAS_A_HIGH");
         printf("Trigger source is %s \n", trig_buf);
      }
      
         /* close the resource manage/library */   
      if (das_close(fd) == -1)
         perror("das_close");
   }
