   #include <stdio.h>
   #include <stdlib.h>
   #include <string.h>
   #include <fcntl.h>
   #include <das.h>
   
   void main()
   {
      char chnl_buf[80], trig_buf[80];
      char chnl, trig_src;
      int fd, trig;

      /* open the 'das' resource manager/library   */
      if ((fd = das_open("/dev/das", O_RDWR)) == -1)
      {
         perror("das_open");
         exit(EXIT_FAILURE);
      }

      printf("Enter channel # :> ");
      chnl = atoi(fgets(chnl_buf, sizeof(chnl_buf), stdin));
      
      printf("das_da_set_trig()\n");   
      printf("0  >   DAS_EX_TRIG\n");
      printf("1  >   DAS_PC_TRIG\n");
      
      printf("Enter trigger source :> ");
      trig = atoi(fgets(trig_buf, sizeof(trig_buf), stdin));
      if (trig)
         trig_src = DAS_PC_TRIG;
      else
         trig_src = DAS_EX_TRIG;
      
      printf("0  >   DAS_A_LOW\n");
      printf("1  >   DAS_A_HIGH\n");
      printf("2  >   NO GATEING\n");
      
      printf("Enter gating option :> ");
      trig = atoi(fgets(trig_buf, sizeof(trig_buf), stdin));
      if (trig == 0)
         trig_src |= DAS_A_LOW;
      else if (trig == 1)
         trig_src |= DAS_A_HIGH;
      
      if (das_da_set_trig(fd, chnl, trig_src) == -1)
         perror("das_da_set_trig");
      else
         printf("Trigger source for channel %hx has been set\n", chnl);
      
      /* close the resource manage/library         */
      if (das_close(fd) == -1)
         perror("das_close");
   }
