#include <das_msg.h>

   // Messages supported by Resource Manager (structures are in das_msg.h)
union das_msg
{
   short unsigned             type;
   short unsigned             status;
   struct _das_msg            das_msg;

   // Analog to Digital
   struct _das_read              das_ad_sync;
   struct _das_read_reply        das_ad_sync_reply;
   struct _das_read              das_ad_enque;
   struct _das_read_reply        das_ad_enque_reply;
   struct _das_read              das_ad_read;
   struct _das_read_reply        das_ad_read_reply;
   struct _das_term              das_ad_term;
   struct _das_term_reply        das_ad_term_reply;
   struct _das_scan              das_ad_scan;
   struct _das_scan_reply        das_ad_scan_reply;
   struct _das_get_range         das_ad_get_range;
   struct _das_get_range_reply   das_ad_get_range_reply;
   struct _das_set_range         das_ad_set_range;
   struct _das_set_range_reply   das_ad_set_range_reply;
   struct _das_set_trig          das_ad_set_trig;
   struct _das_set_trig_reply    das_ad_set_trig_reply;
   struct _das_get_trig          das_ad_get_trig;
   struct _das_get_trig_reply    das_ad_get_trig_reply;
   struct _das_s_rate            das_ad_sam;
   struct _das_s_rate_reply      das_ad_sam_reply;
   struct _das_get_queue         das_ad_get_queue;
   struct _das_get_queue_reply   das_ad_get_queue_reply;


   // Digital to Analog
   struct _das_write             das_da_sync;
   struct _das_write_reply       das_da_sync_rpely;
   struct _das_write             das_da_enque;
   struct _das_write_reply       das_da_enque_reply;
   struct _das_da_wait           das_da_wait;
   struct _das_da_wait_reply     das_da_wait_reply;
   struct _das_term              das_da_term;
   struct _das_term_reply        das_da_term_reply;
   struct _das_set_trig          das_da_set_trig;
   struct _das_set_trig_reply    das_da_set_trig_reply;
   struct _das_get_trig          das_da_get_trig;
   struct _das_get_trig_reply    das_da_get_trig_reply;
   struct _das_s_rate            das_da_sam;
   struct _das_s_rate_reply      das_da_sam_reply;
   struct _das_get_range         das_da_get_range;
   struct _das_get_range_reply   das_da_get_range_reply;
   struct _das_set_range         das_da_set_range;
   struct _das_set_range_reply   das_da_set_range_reply;
   struct _das_get_queue         das_da_get_queue;
   struct _das_get_queue_reply   das_da_get_queue_reply;

   // Digital I/O
   struct _das_dout              das_dout;
   struct _das_dout_reply        das_dout_reply;
   struct _das_din               das_din;
   struct _das_din_reply         das_din_reply;

   struct _das_query             das_query;
   struct _das_query_reply       das_query_reply;
   struct _das_alloc             das_alloc;
   struct _das_alloc_reply       das_alloc_reply;
};
